/******************************************************************************/
/* APlayerClasses shared library import/export functions.                     */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-2000 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#ifndef __APLAYER_BUILD_h
#define __APLAYER_BUILD_h

// BeOS
#if __p_os == __p_beos

// BeOS Intel version
#ifdef __INTEL__

#ifdef _BUILDING_APLAYER_LIBRARY_
#define _IMPEXP_APLIB		__declspec(dllexport)
#else
#define _IMPEXP_APLIB		__declspec(dllimport)
#endif

// BeOS PPC version
#else
#define _IMPEXP_APLIB
#endif

// Windows
#elif __p_os == __p_windows

#ifdef _BUILDING_APLAYER_LIBRARY_
#define _IMPEXP_APLIB		__declspec(dllexport)
#else
#define _IMPEXP_APLIB		__declspec(dllimport)
#endif

#endif

#endif
