/******************************************************************************/
/* MikMod Converter language header file.                                     */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-2000 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#ifndef __MikModConverter_Lang_h
#define __MikModConverter_Lang_h


/******************************************************************************/
/* String resource names                                                      */
/******************************************************************************/
#define IDS_MIKC_NAME								1
#define IDS_MIKC_DESCRIPTION						2

#define IDS_MIKC_WIN_TITLE							50

#define IDS_MIKC_ERR_MEMORY							1001
#define IDS_MIKC_ERR_INITIALIZE						1002
#define IDS_MIKC_ERR_LOADING_HEADER					1003
#define IDS_MIKC_ERR_LOADING_SAMPLEINFO				1004
#define IDS_MIKC_ERR_LOADING_TRACK					1005
#define IDS_MIKC_ERR_LOADING_PATTERN				1006
#define IDS_MIKC_ERR_CORRUPT						1007

#endif
