/******************************************************************************/
/* MikMod language header file.                                               */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-2000 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#ifndef __MikMod_Lang_h
#define __MikMod_Lang_h


/******************************************************************************/
/* String resource names                                                      */
/******************************************************************************/
#define IDS_MIK_NAME								1
#define IDS_MIK_DESCRIPTION							2
#define IDS_MIK_MIME								3

#define IDS_MIK_INFODESCLINE0						10
#define IDS_MIK_INFODESCLINE1						11
#define IDS_MIK_INFODESCLINE2						12
#define IDS_MIK_INFODESCLINE3						13

#define IDS_MIK_WIN_TITLE							50

#define IDS_MIK_ERR_MEMORY							1001
#define IDS_MIK_ERR_INITIALIZE						1002
#define IDS_MIK_ERR_LOADING_HEADER					1003
#define IDS_MIK_ERR_LOADING_SAMPLEINFO				1004
#define IDS_MIK_ERR_LOADING_INSTRUMENTINFO			1005
#define IDS_MIK_ERR_LOADING_TRACK					1006
#define IDS_MIK_ERR_LOADING_SAMPLE					1007
#define IDS_MIK_ERR_CORRUPT							1008
#define IDS_MIK_ERR_ITPACKING						1009

#endif
